Capital B

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/capital-b/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1786924800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cptlb.com/wp-content/uploads/2026/08/kKF0m38pTc/20260817-Capital-B-CP-17-aout-2026-EN-FINAL.pdf",
    "holding_balance": 3145.0,
    "holding_net_change": 5.0,
    "transaction_value_usd": 324542.82,
    "average_entry_value_usd": 64908.56,
    "transaction_value_calculated": false
  },
  {
    "date": 1788739200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cptlb.com/wp-content/uploads/2026/09/v5VovtATca/20260907-Capital-B-CP-7-septembre-2026-EN-FINAL.pdf",
    "holding_balance": 3521.0,
    "holding_net_change": 376.0,
    "transaction_value_usd": 29148114.08,
    "average_entry_value_usd": 77521.58,
    "transaction_value_calculated": false
  },
  {
    "date": 1789344000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://cptlb.com/wp-content/uploads/2026/09/0vcKV41w13/20260914-Capital-B-CP-14-septembre-2026-EN-FINAL.pdf",
    "holding_balance": 3525.0,
    "holding_net_change": 4.0,
    "transaction_value_usd": 309163.44,
    "average_entry_value_usd": 77290.86,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    3525.0
  ],
  [
    1790899200000,
    3525.0
  ],
  [
    1790985600000,
    3525.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    294503739.0
  ],
  [
    1790899200000,
    298859475.75
  ],
  [
    1790985600000,
    297850515.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 5.581,
    "date": "2026-09-30",
    "high": 5.878,
    "open": 5.647,
    "close": 5.754,
    "volume": 228994
  },
  {
    "low": 5.692,
    "date": "2026-10-01",
    "high": 5.9,
    "open": 5.86,
    "close": 5.718,
    "volume": 160124
  },
  {
    "low": 5.772,
    "date": "2026-10-02",
    "high": 6.126,
    "open": 5.799,
    "close": 5.772,
    "volume": 721792
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 10.03,
  "six_month_return": -7.8,
  "three_month_return": 24.13
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/capital-b/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 134.2,
  "total_btc_percentage": 0.017,
  "share_price_change_state": "down"
}